<?php
/**
 * Template part for displaying results in search pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Recipe Blogz
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	    <?php global $post;
	    $recipe_blogz_post_format = get_post_format($post->ID);
	    $recipe_blogz_blog_post_author = get_avatar(get_the_author_meta('ID'), 32);
	    $recipe_blogz_post_thumbnail_id = get_post_thumbnail_id(get_the_ID());
	    $recipe_blogz_image = wp_get_attachment_image_src($recipe_blogz_post_thumbnail_id, 'recipe-blogz-blog-thumbnail-img');
	    $recipe_blogz_category = get_the_category();
	    if (!empty($recipe_blogz_image)) {
	        $recipe_blogz_image_style = "style='background-image:url(" . esc_url($recipe_blogz_image[0]) . ")'";
	    } else {
	        $recipe_blogz_image_style = '';
	    }
	    if($recipe_blogz_image){
	        $url = $recipe_blogz_image[0];
	    }



	    ?>
	    <div class="post-wrap-element">
	        <div class="post-content-wrap">
				<?php if ($recipe_blogz_image) :?>
	            <div class="post-thumb">
	                <img src="<?php echo esc_url($recipe_blogz_image[0]) ?>">
	            </div>
	            <?php endif; ?>
	            <div class="post-content">

	                <h2>
	                    <a href="<?php echo esc_url(get_the_permalink()); ?>"><?php the_title(); ?></a>
	                </h2>
	                <ul class="post-meta">
	                <li class="post-cat">
	            <?php 
	$recipe_blogz_categories = get_the_category();
	if ( ! empty( $recipe_blogz_categories ) ) {
	echo '<a href="' . esc_url( get_category_link( $recipe_blogz_categories[0]->term_id ) ) . '">' . esc_html( $recipe_blogz_categories[0]->name ) . '</a>';
	}
	            ?>
	        </li>
	                    <li class="meta-date"><a
	                                href="<?php echo esc_url(recipe_blogz_archive_link($post)); ?>">
	                             <time class="entry-date published"
	                                      datetime="<?php echo esc_url(recipe_blogz_archive_link($post)); ?>"><?php echo esc_html(the_time( get_option( 'date_format' ) )); ?></time>
	                        </a></li>
	                </ul>

	            </div>
	        </div>
	    </div>
</article><!-- #post-<?php the_ID(); ?> -->
